<?php
$smarty->assign('template365',$template_path.'/control_365_teams.html');
if($tab =='appusage')
{
    $credential= Model_365::buildcredential($dbconnection,$node->getId());
    try
    {
        $services = exec365($plugin_path.' --json --type=teams --name=appUsage --args days=90 '.$credential);
        $table_sorter =array();
        $end = count($services)-1;
        $date=array();
        $web=array();
        $windows_phone=array();
        $android=array();
        $ios=array();
        $mac=array();
        $windows=array();

        foreach($services as $i => $service)
        {
            $date[]=$service['date'];
            $web[]=checkIsEmpty($service['web']);
            $windows_phone[]=checkIsEmpty($service['windows_phone']);
            $android[]=checkIsEmpty($service['android']);
            $ios[]=checkIsEmpty($service['ios']);
            $mac[]=checkIsEmpty($service['mac']);
            $windows[]=checkIsEmpty($service['windows']);
            $tmpdate = new DateTime($service['date']);

            
            $table_sorter[]=array('date' =>$tmpdate->format('d-m-Y'),
                        'web' =>$service['web'],
                        'windows_phone'=>$service['windows_phone'],
                        'android' =>$service['android'],
                        'ios' =>$service['ios'],
                        'mac' =>$service['mac'],
                        'windows' =>$service['windows']);
        }
        $smarty->assign('ts_appusage',$table_sorter);
        $chartline = array('x'=>$date,
                        $lang['365_TEAMS_APPS_WEB']=>$web,
                        $lang['365_TEAMS_APPS_IOS']=>$ios,
                        $lang['365_TEAMS_APPS_MAC']=>$mac,
                        $lang['365_TEAMS_APPS_PHONE']=>$windows_phone,
                        $lang['365_TEAMS_APPS_WINDOWS']=>$windows,
                        $lang['365_TEAMS_APPS_ANDROID']=>$android,
            );
        $smarty->assign('chart_apps_line',json_encode($chartline));
    }
    catch(Exception $e)
    {
        $smarty->assign('error365',$e->getMessage());
    }
}
function checkIsEmpty($data)
{
    if(!empty($data))
    {
        return $data;
    }
    else
    {
        return 0;
    }
}
?>
