<?php
//on récupère le nom du serveur
$nodeid=$_GET['nodeid'];
$ERROR=array('OK'=>0,'WARNING'=>1,'CRITICAL'=>2,'UNKNOWN'=>3,'MAINTENANCE'=>5);
$ERROR_FLIP=array_flip($ERROR);
$plugin_path='/usr/local/esia/plugins/check_api_365.php';

$webp_name='Microsoft 365';
$webp_model='model_365.php';
/*DESCRIPTION: inclus les variables habituelles pour la gestion d'un noeud et vérifie les droits d'accès
 *NECESSITE: la variable $webp_name configurée
 *           la variable $webp_model est incluste
 *APRES l'inclusion du common_node_control les variables suivantes sont créées:
 *PHP:
 *      $node objet de type device
 *      $template_path chemin d'accès vers le répertoire template du plugin (exemple: /usr/local/esia/public_html/plugin/server/templates/)
 *      $apache_plugin_path chemin apache du plugin (exemple: /plugin/server/)
 *      $node_info = array('id'=>$node->getId(),
 'name'=>$node->getName(),
 'ip'=>$node->getIPAddress(),
 'id'=>$node->getId(),
 'description'=>$node->getDescription(),
 'group'=>$node->getGroup());
 * SMARTY
 $webp_name nom du plugin
 $node avec les donnée de node_info (voir au dessus)
 *      $apache_path chemin apache du plugin (exemple: /plugin/server/)
 *      $node_status pour l'affichage commun des noeuds si $_GET['tab'] est vide
 *
 */
include_once $path.'/inc/common_node_control.php';

function exec365($parameter)
{
    $services="";
    exec($parameter,$out,$ret);
    if($ret==0)
    {
        foreach($out as $line)
        {
            $services.=$line;
        }
    }
    else
    {
        throw new Exception($out[0]);
    }
    return json_decode($services,true);
}
function arrayDiffService($a,$b)
{
    if($a['name'] == $b['name'])
    {
        return 0;
    }
    else
    {
        return -1;
    }
}
function orderBytes($a, $b)
{
    if ($a['used'] == $b['used']) {
        return 0;
    }
    return ($a['used'] > $b['used']) ? -1 : 1;
}
function bytesToSize1024($bytes, $precision = 2)
{
    $units = array('B' => 0, 'KB' => 1, 'MB' => 2, 'GB' => 3, 'TB' => 4, 
			'PB' => 5, 'EB' => 6, 'ZB' => 7, 'YB' => 8);
 
	$value = 0;
	$unit='';
	if ($bytes > 0) {
		// Generate automatic prefix by bytes 
		// If wrong prefix given
		if (!array_key_exists($unit, $units)) {
			$pow = floor(log($bytes)/log(1024));
			$unit = array_search($pow, $units);
		}
 
		// Calculate byte value by prefix
		$value = ($bytes/pow(1024,floor($units[$unit])));
	}
 	else
	{
		return '0 B';
	}
	// If decimals is not numeric or decimals is less than 0 
	// then set default value
	if (!is_numeric($precision) || $precision < 0) {
		$precision = 2;
	}
 
	// Format output
	return sprintf('%.' . $precision . 'f '.$unit, $value);
}
?>


