<?php
/**
 * @name srv_control.php
 * @description Fichier principal du plugin serveur
 * @author Nicolas Biersart <n.biersart@esia-sa.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 09/11/2012
 */

//inclusion des fichiers principaux
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
include_once $path.'/Model_adm.php';
include_once './common_365.php';

$tab='';
if(isset($_GET['tab'])&& !empty($_GET['tab']))
{
	$tab=$_GET['tab'];
}
$action='';
if(isset($_GET['action'])&& !empty($_GET['action']))
{
	$action=$_GET['action'];
}
$smarty->assign('tab', $tab);
//instanciation d'un objet serveur
session_write_close();
try
{
    $type= Model_365::getScreenType($dbconnection,$node->getId());
	$smarty->assign('o365_type',$type);
    switch($type)
    {
        case 'mailbox':      
            include $path.$apache_plugin_path.'/inc/control_mailbox.inc.php'; 
            break;
        case 'onedrive':
            include $path.$apache_plugin_path.'/inc/control_onedrive.inc.php'; 
            break;
        case 'sharepoint':
            include $path.$apache_plugin_path.'/inc/control_sharepoint.inc.php'; 
            break;
        case 'teams':
            include $path.$apache_plugin_path.'/inc/control_teams.inc.php'; 
            break;
        default: include $path.$apache_plugin_path.'/inc/control_default.inc.php';
    }
}
//Traitement des exceptions SNMP et des erreurs de traitement dans la base de donnée
catch(DeviceNotAliveException $e)
{
	$smarty->assign('errors','no');
}
catch(DeviceSNMPException $e)
{
	$smarty->assign('errors',$lang['ADM_ERR_SNMP_FAILED']);
}
catch(DeviceException $e)
{
	$smarty->assign('errors',$e->getMessage());
}
$smarty->display($template_path.'control_365.html');
?>
