<?php
//inclusion des fichiers principaux
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
include_once $path.'/Model_adm.php';
include_once './common_365.php';
$show = 'logbyday';
if(isset($_GET['show']) && !empty($_GET['show']))
{
    $show =$_GET['show'];
}
try
{
    if($show == 'allServiceState')
    {
        $finalArray = array();
        $finalArray['licence']=array('error'=>"");
        $credential= Model_365::buildcredential($dbconnection,$node->getId());
        //echo $plugin_path.' --json --type=allServices '.$credential;
        try
        {
            //echo  $plugin_path.' --json --type=allServices '.$credential;
            $services = exec365($plugin_path.' --json --type=allServices '.$credential,$out,$ret);
            $otherService=array();
            $stateService=array(
                                'ServiceInterruption'=>0,
                                'ServiceDegradation'=>0,
                                'Investigating'=>0,
                                'VerifyingService'=>0,
                                'ServiceOperational'=>0,
                                'ServiceRestored'=>0,
                                'ExtendedRecovery'=>0,
                                'PostIncidentReviewPublished'=>0);
            foreach($services as $service)
            {
                if($service['realstate'] == 'PIRPublished')
                {
                    $stateService['PostIncidentReviewPublished']++;
                }
                $stateService[$service['realstate']]++;   
                $otherService[]=array('name'=>$service['Id'],'state'=>$ERROR[$service['state']],'msState'=>$service['realstate'],'humanstate'=>$service['state']); 
            }
            $finalArray['stateService'] =$stateService;

        }
        catch(Exception $e)
        {
            echo json_encode(array('error'=>$e->getMessage())); //$smarty->assign('error365',$services);
            exit(0);
        }
        $arr = array();
        $services = Model_esia::getServices($dbconnection,$node->getId());
        foreach($services as $service)
        {
            if($service['check_plugin_name'] == 'CHECK_API_M365_SERVICE_STATE')
            {
                if(preg_match('#service\s+(.*)\s+is\s#',$service['stdout'],$regs))
                {
                    $name = $regs[1];
                    $msstate="";
                    if(preg_match('#microsoftstate=([a-zA-Z0-9]*)#',$service['stdout'],$regs))
                    {
                       $msstate=$regs[1];
                    }
                    $arr[]=array('name'=>$name,'state'=>$service['state'],'humanstate'=>$ERROR_FLIP[$service['state']],'msState'=>$msstate);
                }
            }
        }
        $finalArray['otherServiceState'] = array_values(array_udiff($otherService, $arr, 'arrayDiffService'));
        $finalArray['importantServiceState'] =$arr;
        try
        {
            // Information sur les licences
            $services = exec365($plugin_path.' --json --type=usersLicence '.$credential,$outlicence,$ret);
            $arr = array();
            $date ="";
            foreach($services as $key => $service)
            {
                $date = $service['Date'];
                $arr[]=array('name'=>$key,'assigned'=>$service['Assigned'], 'activated'=>$service['Activated']);
            }
            $date = new DateTime($date);
            $finalArray['date'] = $date->format('d-m-Y');
            $finalArray['licence']=$arr;
        }
        catch(Exception $e)
        {
            $finalArray['error']=array('error'=>$lang['365_CONNECTION_FAILED']);
        }

        //$finalArray['otherServiceState'] =$otherService;
        echo json_encode($finalArray);
        
    }
    elseif($show == 'onedrive')
    {
        $finalArray = array();

        try
        {
            $credential= Model_365::buildcredential($dbconnection,$node->getId());

            $services = exec365($plugin_path.' --json --type=onedrive --name filestat '.$credential,$out,$ret);
            $otherService=array();
            $services=$services[0];
            $date = new DateTime($services['date']);
            $finalArray['file']=array('date'=>$date->format('d-m-Y'),'total'=>number_format($services['total'],0, ',', ' '),'active'=>$services['active'] );
            $services = exec365($plugin_path.' --json --type=onedrive --name userstat '.$credential);
            $services=$services[0];
            $finalArray['users']=array('total'=>$services['total'],'active'=>$services['active']);

            $services = exec365($plugin_path.' --json --type=onedrive --args days=30 '.$credential);
            $used=array();
            $dates=array();
            foreach($services as $service)
            {
                if($service['type']=='All')
                {
                    $dates[]=$service['date'];
                    $used[]=$service['used'];
                }
            }
            $finalArray['storage']=array('x'=>$dates,'used'=>$used);

            $services = exec365($plugin_path.' --json --type=onedrive --name=userstatdetail '.$credential);
            if(count($services)==0)
            {
                $finalArray['userstorageError']=$lang['365_ONEDRIVE_USER_DATA_NOTAVAILABLE'];
            }
            else
            {
                usort($services, "orderBytes");
                $arr =array();
                $i = 0;
			    while($i < 10)
			    {
                    $stat = $services[$i];
                    $date = new DateTime($stat['last_activity']);
                    $used = round(($stat['used']/1024/1024),2);
                    if($used > 1024)
                    {
                        $used=round($used/1024,2).' GB';
                    }
                    else
                    {
                        $used=$used.' MB';
                    }
                    if($stat['allocated'] ==0)
                    {
                        $stat['allocated']=1;
                    }
                    $arr[]=array("owner"=>$stat['owner'],
                                "last_activity"=>$date->format('d-m-Y'),
                                "file"=>$stat['file'],
                                "active_file"=>$stat['active_file'],
                                "used"=>$stat['used'],
                                "usedPretty"=>$used,
                                "usedpercent"=>round(($stat['used']/$stat['allocated'])*100,0),
                                "allocated"=>$stat['allocated']);
                    $i++;
                }
                $finalArray['userstorage']=$arr;
            }
        }
        catch(Exception $e)
        {
            $finalArray['error']=array('error'=>$lang['365_CONNECTION_FAILED']);
        }
        echo json_encode($finalArray);
    }
    elseif($show == 'sharepoint')
    {
        $finalArray = array();
        try
        {
            $credential= Model_365::buildcredential($dbconnection,$node->getId());
            $services = exec365($plugin_path.' --json --type=sharepoint --name filestat '.$credential);
            $otherService=array();
            $services=$services[0];
            $date = new DateTime($services['date']);
            $finalArray['file']=array('date'=>$date->format('d-m-Y'),'total'=>number_format($services['total'],0, ',', ' '),'active'=>$services['active'] );
            $services = exec365($plugin_path.' --json --type=sharepoint --name=siteusage --args days=30 '.$credential);
            $used=array();
            $dates=array();
            foreach($services as $service)
            {
                if($service['site']=='All')
                {
                    $dates[]=$service['date'];
                    $used[]=$service['used'];
                }
            }
            $finalArray['storage']=array('x'=>$dates,'used'=>$used);
            //echo $plugin_path.' --json --type=sharepoint --name=siteusagedetail '.$credential;
            $services = exec365($plugin_path.' --json --type=sharepoint --name=siteusagedetail '.$credential);
            if(count($services)==0)
            {
                $finalArray['sitestorageError']=$lang['365_SHAREPOINT_NOTSITE'];
            }
            else
            {
                $stateService=array();
                usort($services, "orderBytes");
                $arr =array();
                $i = 1;
                $pageviewed=0;
                $pageactive=0;
                $pagevisited=0;
                
                foreach($services as $stat)
			    {
                    $date = new DateTime($stat['last_activity']);
                    $used = round(($stat['used']/1024/1024),2);
                    if($used > 1024)
                    {
                        $used=round($used/1024,2).' GB';
                    }
                    else
                    {
                        $used=$used.' MB';
                    }
                    $arr[]=array("name"=>$stat['name'],
                                    "last_activity"=>$date->format('d-m-Y'),
                                    "file"=>$stat['file_count'],
                                    "active_file"=>$stat['active_file'],
                                    "used"=>$stat['used'],
                                    "usedPretty"=>$used,
                                    "usedpercent"=>round(($stat['used']/$stat['allocated'])*100,0),
                                    "allocated"=>$stat['allocated']);
                    $pageviewed = $pageviewed + $stat['page_view'];
                    $pageactive= $pageactive + $stat['active_file'];
                    $pagevisited= $pagevisited + $stat['page_visited'];
                    $i++;
                    if($i > 10)
                    {
                        break;   
                    }
                }
                $finalArray['sitestorage']=$arr;
            }
        }
        catch(Exception $e)
        {
            $finalArray['error']=array('error'=>$lang['365_CONNECTION_FAILED']);
        }
        $finalArray['page']=array('viewed'=>$pageviewed,'active'=>$pageactive,'visited'=>$pagevisited);
        echo json_encode($finalArray);
    }
    elseif($show == 'exchange')
    {
        $finalArray = array();
        try
        {
            $credential= Model_365::buildcredential($dbconnection,$node->getId());
        //echo $plugin_path.' --json --type=allServices '.$credential;
            $services = exec365($plugin_path.' --json --type=mailbox --name=activity --args days=30 '.$credential);
            $date=array();
            $send=array();
            $received=array();
            $read=array();
            $i=1;
            foreach($services as $service)
            {
                $date[]=$service['date'];
                $send[]=$service['send'];
                $read[]=$service['read'];
                $received[]=$service['received'];
                $i++;
                if($i>15)
                {
                    break;
                }
            }
            $finalArray['activity']=array('x'=>$date,$lang['365_EXCHANGE_EMAIL_SEND']=>$send,$lang['365_EXCHANGE_EMAIL_RECEIVED']=>$received/*,'read'=>$read*/);
            //count mailbox
            $services = exec365($plugin_path.' --json --type=mailbox --name=count '.$credential);
            $services = $services[0];
            $date = new DateTime($services['date']);
            $finalArray['count']=array('date'=>$date->format('d-m-Y') ,'total' =>  $services['total'] , 'active' =>  $services['active']);
            //usage mailbox
            $services = exec365($plugin_path.' --json --type=mailbox --name=usage '.$credential);
            usort($services, "orderBytes");
            $arr = array();
            $i=1;
            foreach($services as $service)
            {
                $state = 'OK';                    
                if($service['storage_used'] >= $service['send_block_quota'] || $service['storage_used'] >= $service['send_received_block_quota'])
                {
                    $state = 'CRITICAL';
                }
                elseif($service['storage_used'] >= $service['send_warning_quota'])
                {
                    $state = 'WARNING';
                }
                $used = round(($service['storage_used']/1024/1024),2);
                if($used > 1024)
                {
                    $used=round($used/1024,2).' GB';
                }
                else
                {
                    $used=$used.' MB';
                }
                $arr[]=array('name' =>$service['name'],
                             'state'=>$state,
                             'usedPretty' =>$used,
                             'used' =>$service['storage_used'],
                             'usedpercent' =>$service['used'],
                        );
                $i++;
                if($i > 10)
                {
                    break;   
                }
            }
            $finalArray['mailboxusage']=$arr;
            //storage-used
            $services = exec365($plugin_path.' --json --type=mailbox --name=storage '.$credential);
            $date=array();
            $storage=array();
            $i=1;
            foreach($services as $service)
            {
                $date[]=$service['date'];
                $storage[]=$service['usage'];
                $i++;
                if($i>5)
                {
                    break;
                }
            }     
            $finalArray['storage']=array('x'=>$date,'used'=>$storage);     
        }
        catch(Exception $e)
        {
            $finalArray['error']=array('error'=>$lang['365_CONNECTION_FAILED']);
        }
        echo json_encode($finalArray);
    }
    elseif($show == 'teams')
    {
        $finalArray = array();
        try
        {
            $credential= Model_365::buildcredential($dbconnection,$node->getId());
        //echo $plugin_path.' --json --type=allServices '.$credential;
            $services = exec365($plugin_path.' --json --type=teams --name=activity --args days=30 '.$credential);
            $date=array();
            $message_teams=array();
            $message_private=array();
            $call=array();
            $meeting=array();
            $others=array();
            $i=1;
            foreach($services as $service)
            {
                $date[]=$service['date'];
                $message_teams[]=$service['message_teams'];
                $message_private[]=$service['message_private'];
                $call[]=$service['calls'];
                $meeting[]=$service['meeting'];
                $i++;
                if($i>15)
                {
                    break;
                }
            }
            $finalArray['message']=array('x'=>$date,$lang['365_TEAMS_MESSAGE']=>$message_teams,$lang['365_TEAMS_PRIVATE_MESSAGE']=>$message_private);
            $finalArray['video']=array('x'=>$date,$lang['365_TEAMS_CALLS']=>$call,$lang['365_TEAMS_MEETING']=>$meeting);
            $services = exec365($plugin_path.' --json --type=teams --name=userConnect '.$credential);
            $services = $services[0];
            $date = new DateTime($services['date']);
            $finalArray['date'] = $date->format('d-m-Y');
            $arr=array(
                $lang['365_TEAMS_USER_MESSAGE'] =>  $services['message_teams']+$services['message_private'],
                $lang['365_TEAMS_USER_CALLS'] =>  (int)$services['calls'],
                $lang['365_TEAMS_USER_MEETING'] =>  (int)$services['meeting'],
                $lang['365_TEAMS_USER_OTHER'] =>  (int)$services['other']
            );
          /*  $arr[] = array($lang['365_TEAMS_USER_CALLS'], (int)$services['calls']);
            $arr[] = array($lang['365_TEAMS_USER_MEETING'],(int)$services['meeting']);
            $arr[] = array($lang['365_TEAMS_USER_OTHER'],(int)$services['other']);*/
            $finalArray['userconnect']=$arr;
        }
        catch(Exception $e)
        {
            $finalArray['error']=array('error'=>$lang['365_CONNECTION_FAILED']);
        }
        echo json_encode($finalArray);
    }
}
catch(Exception $e)
{
    echo $e->getMessage();
}
?>
