<?php
        if($tab =='services')
        {
            $serviceDB=array();
            $services = Model_esia::getServices($dbconnection,$node->getId());
            foreach($services as $service)
            {
                if($service['check_plugin_name'] == 'CHECK_API_M365')
                {
                    if(preg_match('#service\s+(.*)\s+is\s#',$service['stdout'],$regs))
                    {
                        $serviceDB[] = $regs[1];
                    }
                }
            }
            $credential= Model_365::buildcredential($dbconnection,$node->getId());
            exec($plugin_path.' --json --type=allServices '.$credential,$out,$ret);
            $stateService=array();
            if($ret==0)
            {
                $services="";
                foreach($out as $line)
                {
                    $services.=$line;
                }
                $services = json_decode($services,true);
                foreach($services as $service)
                { 
                    $active = 0;
                    if(in_array($service['Id'],$serviceDB))
                    {
                        $active = 1;
                    }
                    $stateService[]=array('name'=>$service['id'],'state'=>$ERROR[$service['state']],'msState'=>$service['realstate'],'humanstate'=>$service['state'],'active'=>$active); 
                }
                $smarty->assign('servicesAvailable',$stateService);
                if($action=='addservice')
                {
                    $plugin = Model_esia::getPlugin($dbconnection,'CHECK_API_M365_SERVICE_STATE');
			        $plugin = $plugin[0];
					foreach($stateService as $service)
					{
                        $name_checkbox =  'check-'.rawurlencode($service['name']);
                        if(isset($_POST[$name_checkbox]))
                        {
                            $param = preg_replace('#<servicename>#','"'.$service['name'].'"',$plugin['parameter']);
                            Model_adm::addService($dbconnection,'CHECK_API_M365_SERVICE_STATE_'.$service['name'] ,$plugin['id'],$node->getId(),300000,$param,7,null,null,null,null,null);
                        }   
                    }
					$redirection= $arr[0]['apache_path'].'/control_365.php?nodeid='.$node->getId();
					header('Location: '.$redirection);
					exit(0);
                }
            }
            else
            {
                $services="";
                foreach($out as $line)
                {
                    $services.=$line;
                }
                $smarty->assign('error365',$services);
            }
        }
        elseif($tab =='users')
        {
            $credential= Model_365::buildcredential($dbconnection,$node->getId());
            exec($plugin_path.' --json --type=usersCount --args days=30 '.$credential,$out,$ret);
            $stateService=array();
            if($ret==0)
            {
                $services="";
                foreach($out as $line)
                {
                    $services.=$line;
                }
                $services = json_decode($services,true);
                $arr =array();
				foreach($services as $key => $stat)
				{
                    $date = new DateTime($key);
                    
                    $arr[]=array('date'=>$date->format('d-m-Y'),
                                "Office"=>$stat['Office 365'],
                                "Exchange"=>$stat['Exchange'],
                                "OneDrive"=>$stat['OneDrive'],
                                "SharePoint"=>$stat['SharePoint'],
                                "Skype"=>$stat['Skype'],
                                "Teams"=>$stat['Teams'],
                                "Yammer"=>$stat['Yammer']);
                }
                $smarty->assign('UserStats',$arr);
            }
            else
            {
                $services="";
                foreach($out as $line)
                {
                    $services.=$line;
                }
                $smarty->assign('error365',$services);
            }
        }
?>
